Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class SVGConverterFileSource

    java.lang.Object
      org.apache.batik.apps.rasterizer.SVGConverterFileSource

All Implemented Interfaces:
  SVGConverterSource

public class SVGConverterFileSource
extends java.lang.Object
implements SVGConverterSource

Describes a file source for the `SVGConverter`

Constructor Summary
`SVGConverterFileSource(java.io.File file)`
`SVGConverterFileSource(java.io.File file, java.lang.String ref)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.io.File` | `getFile()`
`java.lang.String` | `getName()` Returns the name of the source.
`java.lang.String` | `getURI()` Returns a URI string corresponding to this source
`boolean` | `isReadable()` Checks if source can be read
`boolean` | `isSameAs(java.lang.String srcStr)` Checks if same as source described by srcStr
`java.io.InputStream` | `openStream()` Gets a `TranscoderInput` for that source
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGConverterFileSource

    public SVGConverterFileSource(java.io.File file)

### SVGConverterFileSource

    public SVGConverterFileSource(java.io.File file,
                                  java.lang.String ref)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `SVGConverterSource`
  Returns the name of the source. That would be the name for a File or URL

  Specified by:
    `getName` in interface `SVGConverterSource`

### getFile

    public java.io.File getFile()

### toString

    public java.lang.String toString()

### getURI

    public java.lang.String getURI()

  Description copied from interface: `SVGConverterSource`
  Returns a URI string corresponding to this source

  Specified by:
    `getURI` in interface `SVGConverterSource`

### equals

    public boolean equals(java.lang.Object o)

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.FileNotFoundException

  Description copied from interface: `SVGConverterSource`
  Gets a `TranscoderInput` for that source

  Specified by:
    `openStream` in interface `SVGConverterSource`
  Throws:
    `java.io.FileNotFoundException`

### isSameAs

    public boolean isSameAs(java.lang.String srcStr)

  Description copied from interface: `SVGConverterSource`
  Checks if same as source described by srcStr

  Specified by:
    `isSameAs` in interface `SVGConverterSource`

### isReadable

    public boolean isReadable()

  Description copied from interface: `SVGConverterSource`
  Checks if source can be read

  Specified by:
    `isReadable` in interface `SVGConverterSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.